local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onBegin()

    if getFlag("potevazio1") then
        disableMovement()
        setFlag("potevazio1", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

    if getFlag("potevazio2") then
        disableMovement()
        setFlag("potevazio2", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

    if getFlag("potevazio3") then
        disableMovement()
        setFlag("potevazio3", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

    if getFlag("potevazio4") then
        disableMovement()
        setFlag("potevazio4", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

    if getFlag("potevazio5") then
        disableMovement()
        setFlag("potevazio5", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

    if getFlag("potevazio6") then
        disableMovement()
        setFlag("potevazio6", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

    if getFlag("potevazio7") then
        disableMovement()
        setFlag("potevazio7", false)
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_potedourado"))
    end

end

function onEnd(room, wasSkipped)
   enableMovement()
end